/******************************************************************************************
 * Fitxer:AlumneListElement.java
 * Data Creaci:1-dic-2013
 * Ultima Modificacio: 10-dic-2013
 * Autor:Toms Ruiz
 * Projecte: TUTOC - Aplicaci Android enfocada a la gesti dels tutors a UOC
 * Assignatura:TFC-Desenvolupament aplicacions dispositius mbils (Android) Aula 3
 * Consultor:Joan Vicent  Orenga  Serisuelo
 * Descripci:
 * Log:
 ****************************************************************************************** */
package edu.uoc.tutoc;

import android.app.Activity;
import android.os.Bundle;
import android.view.Menu;
import android.widget.TextView;

import com.google.gson.Gson;

import edu.uoc.tutoc.alumne.Alumne;

/**
 * El Class AlumneListElement.
 */
public class AlumneView extends Activity {

	/**
	 * @desc Mtode sobrescrigut de @see
	 *       android.app.Activity#onCreate(android.os.Bundle)
	 *       <p>
	 * @version: 1.0
	 * @autor: Toms Ruiz
	 * @params:
	 * @return: el valor de
	 * @exception:
	 * @see: @see android.app.Activity#onCreate(android.os.Bundle)
	 * @see [String]
	 * @see [URL]
	 * @see [Class name#method name]
	 * @example
	 * @todo
	 * @precondition
	 * @postcondition
	 * @summary
	 * @bug
	 */

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.fitxaalumne);
		Alumne alumne = new Alumne();
		Bundle bundle = getIntent().getExtras();
		String parametreJSON = bundle.getString("alumne");
		alumne = new Gson().fromJson(parametreJSON, Alumne.class);
		TextView txtNomAlumne = (TextView) (findViewById(R.id.NomAlumne));
		txtNomAlumne.setText(alumne.getFullName());
	}

	/**
	 * @desc Mtode sobrescrigut de @see
	 *       android.app.Activity#onCreateOptionsMenu(android.view.Menu)
	 *       <p>
	 * @version: 1.0
	 * @autor: Toms Ruiz
	 * @params:
	 * @return: el valor de
	 * @exception:
	 * @see: @see android.app.Activity#onCreateOptionsMenu(android.view.Menu)
	 * @see [String]
	 * @see [URL]
	 * @see [Class name#method name]
	 * @example
	 * @todo
	 * @precondition
	 * @postcondition
	 * @summary
	 * @bug
	 */

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		// Inflate the menu; this adds items to the action bar if it is present.
		getMenuInflater().inflate(R.menu.alumne_list_element, menu);
		return true;
	}

}
