/******************************************************************************************
 * Fitxer:MailMessageDetail.java
 * Data Creaci:08-ene-2014
 * Ultima Modificacio: 08-ene-2014
 * Autor:Toms Ruiz
 * Projecte: TUTOC - Aplicaci Android enfocada a la gesti dels tutors a UOC
 * Assignatura:TFC-Desenvolupament aplicacions dispositius mbils (Android) Aula 3
 * Consultor:Joan Vicent  Orenga  Serisuelo
 * Descripci:
 * Log:
 ****************************************************************************************** */
package edu.uoc.tutoc;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.Menu;
import android.view.View;
import android.widget.TextView;
import android.widget.Toast;

import com.google.gson.Gson;

import edu.uoc.tutoc.aplicacio.Applicacio;
import edu.uoc.tutoc.bustia.CorreuElectronic;

/**
 * El Class MailMessageDetail.
 */
public class MailMessageDetail extends Activity {
	
	/** El missatge. */
	private CorreuElectronic missatge=new CorreuElectronic();
	
	/**
	 * @desc Mtode sobrescrigut de @see android.app.Activity#onCreate(android.os.Bundle) 
	 * <p>
	 * @version: 1.0
	 * @autor: Toms Ruiz
	 * @params:
	 * @return: el valor de
	 * @exception:
	 * @see: @see android.app.Activity#onCreate(android.os.Bundle)
	 * @see [String]
	 * @see [URL]
	 * @see [Class name#method name]
	 * @example
	 * @todo
	 * @precondition
	 * @postcondition
	 * @summary
	 * @bug
	
	*/
	
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.mailmmessagedetail_layout);
		Bundle bundle = getIntent().getExtras();
		String parametreJSON = bundle.getString("MISSATGE");
		missatge=new Gson().fromJson(parametreJSON,CorreuElectronic.class);
		TextView txtTemp=(TextView) (findViewById(R.id.MailMessageDetails_txtSubject));
		txtTemp.setText(missatge.getSubject());
		txtTemp=(TextView) (findViewById(R.id.MailMessageDetails_Data));
		txtTemp.setText(missatge.getDate());
		txtTemp=(TextView) (findViewById(R.id.MailMessageDetails_Autor));
		txtTemp.setText(missatge.getFrom());
		txtTemp=(TextView) (findViewById(R.id.MailMessageDetails_Para));
		txtTemp.setText(missatge.getTo()+ " "+ R.string.Global_ambCopia+missatge.getCc());
		txtTemp=(TextView) (findViewById(R.id.MailMessageDetails_txtBody));
		txtTemp.setText(missatge.getBody());
	}

	/**
	 * @desc Mtode sobrescrigut de @see android.app.Activity#onCreateOptionsMenu(android.view.Menu) 
	 * <p>
	 * @version: 1.0
	 * @autor: Toms Ruiz
	 * @params:
	 * @return: el valor de
	 * @exception:
	 * @see: @see android.app.Activity#onCreateOptionsMenu(android.view.Menu)
	 * @see [String]
	 * @see [URL]
	 * @see [Class name#method name]
	 * @example
	 * @todo
	 * @precondition
	 * @postcondition
	 * @summary
	 * @bug
	
	*/
	
	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		// Inflate the menu; this adds items to the action bar if it is present.
		getMenuInflater().inflate(R.menu.mail_message_detail, menu);
		return true;
	}
	
	/**
	 * On btn esborrar.
	 * 
	 * @param v
	 *            : v
	 * @return void
	 * @desc On btn esborrar.
	 */
	public void onBtnEsborrar(View v){
		Toast toast1 = Toast.makeText(getApplicationContext(),"Funci no implementada a l'API", Toast.LENGTH_SHORT);
		toast1.show();
	}
	
	/**
	 * On btn reply.
	 * 
	 * @param v
	 *            : v
	 * @return void
	 * @desc On btn reply.
	 */
	public void onBtnReply(View v) {
		//TODO: LANZAR LA VISTA ENVIANDO EL CORREO
		if(Applicacio.getInstance().getToken()!=null){
		Intent intent=new Intent(MailMessageDetail.this,MailNewMessage.class);
		String Anterior_Subject=missatge.getSubject();
		missatge.setSubject("RE:"+Anterior_Subject);
		Bundle b=new Bundle();
		String aulaJson = (new Gson()).toJson(missatge);
		b.putString("MISSATGE", aulaJson);
		intent.putExtras(b);
		startActivity(intent);
		} else {
			Toast toast1 = Toast.makeText(getApplicationContext(),getString(R.string.Err_necessariConnectar), Toast.LENGTH_SHORT);
			toast1.show();
		}
	}
}
