/******************************************************************************************
 * Fitxer:Opcio.java
 * Data Creaci:17-nov-2013
 * Ultima Modificacio: 17-nov-2013
 * Autor:Toms Ruiz
 * Projecte: TUTOC - Aplicaci Android enfocada a la gesti dels tutors a UOC
 * Assignatura:TFC-Desenvolupament aplicacions dispositius mbils (Android) Aula 3
 * Consultor:Joan Vicent  Orenga  Serisuelo
 * Descripci:
 * Log:
 ****************************************************************************************** */
package edu.uoc.tutoc.aplicacio;



/**
 * Classe: Opcio
 * Projecte:TUTOC
 * @desc: Se encarrega de portar les dades sobre les opcions de la aplicacio
 *  Package:edu.uoc.tutoc.aplicacio 
 *  Data Creacio:17/11/2013
 * 
 * @author: <A HREF="mailto:truizso@uoc.edu">Toms Ruiz</A>
 * @version:0.0 Log: Revision 01/11/2011 Inicial
 * @see [String]
 * @see [URL]
 * @see [Class name#method name]
 * 
 ***/

/**
 * Classe: Projecte:TUTOC
 * 
 * @desc: Package:edu.uoc.tutoc.aplicacio Data Creacio:17/11/2013
 * 
 * @author: <A HREF="mailto:truizso@uoc.edu">Toms Ruiz</A>
 * @version:0.0 Log: Revision 17/11/2013 Inicial
 * @see [String]
 * @see [URL]
 * @see [Class name#method name]
 * @example
 * @todo
 * @precondition
 * @postcondition
 * @summary
 * @bug
 ***/
public class Opcio {
	private boolean autosincronitzacio;

	private boolean nomesWIFI;

	private boolean sincro_alumnes;

	private boolean sincro_email;

	private boolean sincro_calendari;

	private boolean sincro_taulell;

	private String idioma;

	private int segons_llegit = 3;

	private Applicacio pare;

	

	/**
	 * Retorna el autosincronitzacio
	 * <p>
	 * Aquest mtode retornar autosincronitzacio
	 * 
	 * @param:
	 * @return: autosincronitzacio tipus: boolean
	 * @see:#autosincronitzacio
	 * @throws:
	 */
	public boolean isAutosincronitzacio() {
		return autosincronitzacio; // Es retorna autosincronitzacio
	}

	/**
	 * Dna Valor al autosincronitzacio
	 * <p>
	 * Posa com valor de autosincronitzacio el autosincronitzacio
	 * 
	 * @param:autosincronitzacio Tipus: boolean
	 * @return: void
	 * @see:#autosincronitzacio
	 * @throws:
	 */
	public void setAutosincronitzacio(boolean autosincronitzacio) {
		this.autosincronitzacio = autosincronitzacio; // Se assigna el valor
	}

	/**
	 * Retorna el nomesWIFI
	 * <p>
	 * Aquest mtode retornar nomesWIFI
	 * 
	 * @param:
	 * @return: nomesWIFI tipus: boolean
	 * @see:#nomesWIFI
	 * @throws:
	 */
	public boolean isNomesWIFI() {
		return nomesWIFI; // Es retorna nomesWIFI
	}

	/**
	 * Dna Valor al nomesWIFI
	 * <p>
	 * Posa com valor de nomesWIFI el nomesWIFI
	 * 
	 * @param:nomesWIFI Tipus: boolean
	 * @return: void
	 * @see:#nomesWIFI
	 * @throws:
	 */
	public void setNomesWIFI(boolean nomesWIFI) {
		this.nomesWIFI = nomesWIFI; // Se assigna el valor
	}

	/**
	 * Retorna el sincro_alumnes
	 * <p>
	 * Aquest mtode retornar sincro_alumnes
	 * 
	 * @param:
	 * @return: sincro_alumnes tipus: boolean
	 * @see:#sincro_alumnes
	 * @throws:
	 */
	public boolean isSincro_alumnes() {
		return sincro_alumnes; // Es retorna sincro_alumnes
	}

	/**
	 * Dna Valor al sincro_alumnes
	 * <p>
	 * Posa com valor de sincro_alumnes el sincro_alumnes
	 * 
	 * @param:sincro_alumnes Tipus: boolean
	 * @return: void
	 * @see:#sincro_alumnes
	 * @throws:
	 */
	public void setSincro_alumnes(boolean sincro_alumnes) {
		this.sincro_alumnes = sincro_alumnes; // Se assigna el valor
	}

	/**
	 * Retorna el sincro_email
	 * <p>
	 * Aquest mtode retornar sincro_email
	 * 
	 * @param:
	 * @return: sincro_email tipus: boolean
	 * @see:#sincro_email
	 * @throws:
	 */
	public boolean isSincro_email() {
		return sincro_email; // Es retorna sincro_email
	}

	/**
	 * Dna Valor al sincro_email
	 * <p>
	 * Posa com valor de sincro_email el sincro_email
	 * 
	 * @param:sincro_email Tipus: boolean
	 * @return: void
	 * @see:#sincro_email
	 * @throws:
	 */
	public void setSincro_email(boolean sincro_email) {
		this.sincro_email = sincro_email; // Se assigna el valor
	}

	/**
	 * Retorna el sincro_calendari
	 * <p>
	 * Aquest mtode retornar sincro_calendari
	 * 
	 * @param:
	 * @return: sincro_calendari tipus: boolean
	 * @see:#sincro_calendari
	 * @throws:
	 */
	public boolean isSincro_calendari() {
		return sincro_calendari; // Es retorna sincro_calendari
	}

	/**
	 * Dna Valor al sincro_calendari
	 * <p>
	 * Posa com valor de sincro_calendari el sincro_calendari
	 * 
	 * @param:sincro_calendari Tipus: boolean
	 * @return: void
	 * @see:#sincro_calendari
	 * @throws:
	 */
	public void setSincro_calendari(boolean sincro_calendari) {
		this.sincro_calendari = sincro_calendari; // Se assigna el valor
	}

	/**
	 * Retorna el sincro_taulell
	 * <p>
	 * Aquest mtode retornar sincro_taulell
	 * 
	 * @param:
	 * @return: sincro_taulell tipus: boolean
	 * @see:#sincro_taulell
	 * @throws:
	 */
	public boolean isSincro_taulell() {
		return sincro_taulell; // Es retorna sincro_taulell
	}

	/**
	 * Dna Valor al sincro_taulell
	 * <p>
	 * Posa com valor de sincro_taulell el sincro_taulell
	 * 
	 * @param:sincro_taulell Tipus: boolean
	 * @return: void
	 * @see:#sincro_taulell
	 * @throws:
	 */
	public void setSincro_taulell(boolean sincro_taulell) {
		this.sincro_taulell = sincro_taulell; // Se assigna el valor
	}

	/**
	 * Retorna el idioma
	 * <p>
	 * Aquest mtode retornar idioma
	 * 
	 * @param:
	 * @return: idioma tipus: String
	 * @see:#idioma
	 * @throws:
	 */
	public String getIdioma() {
		return idioma; // Es retorna idioma
	}

	/**
	 * Dna Valor al idioma
	 * <p>
	 * Posa com valor de idioma el idioma
	 * 
	 * @param:idioma Tipus: String
	 * @return: void
	 * @see:#idioma
	 * @throws:
	 */
	public void setIdioma(String idioma) {
		this.idioma = idioma; // Se assigna el valor
	}

	/**
	 * Retorna el segons_llegit
	 * <p>
	 * Aquest mtode retornar segons_llegit
	 * 
	 * @param:
	 * @return: segons_llegit tipus: int
	 * @see:#segons_llegit
	 * @throws:
	 */
	public int getSegons_llegit() {
		return segons_llegit; // Es retorna segons_llegit
	}

	/**
	 * Dna Valor al segons_llegit
	 * <p>
	 * Posa com valor de segons_llegit el segons_llegit
	 * 
	 * @param:segons_llegit Tipus: int
	 * @return: void
	 * @see:#segons_llegit
	 * @throws:
	 */
	public void setSegons_llegit(int segons_llegit) {
		this.segons_llegit = segons_llegit; // Se assigna el valor
	}

	/**
	 * Retorna el pare
	 * <p>
	 * Aquest mtode retornar pare
	 * 
	 * @param:
	 * @return: pare tipus: Applicacio
	 * @see:#pare
	 * @throws:
	 */
	public Applicacio getPare() {
		return pare; // Es retorna pare
	}

	/**
	 * Dna Valor al pare
	 * <p>
	 * Posa com valor de pare el pare
	 * 
	 * @param:pare Tipus: Applicacio
	 * @return: void
	 * @see:#pare
	 * @throws:
	 */
	public void setPare(Applicacio pare) {
		this.pare = pare; // Se assigna el valor
	}

	/**
	

	/**
	 * Opcio.carregarOpcions
	 * 
	 * @desc <p>
	 * @version: 1.0 - 17/11/2013
	 * @autor: Toms Ruiz
	 * @params:
	 * @return: el valor de Tipus: void
	 * @exception:
	 * @see: carregarOpcions, Opcio * @see [String]
	 * @see [URL]
	 * @see [Class name#method name]
	 * @example
	 * @todo
	 * @precondition
	 * @postcondition
	 * @summary
	 * @bug
	 */
	public void carregarOpcions() {
		// TODO: REALIZAR LA FUNCIN CARREGAROPCIONS
	}

	/**
	 * Opcio.guardarOpcions
	 * 
	 * @desc <p>
	 * @version: 1.0 - 17/11/2013
	 * @autor: Toms Ruiz
	 * @params:
	 * @return: el valor de Tipus: void
	 * @exception:
	 * @see: guardarOpcions, Opcio * @see [String]
	 * @see [URL]
	 * @see [Class name#method name]
	 * @example
	 * @todo
	 * @precondition
	 * @postcondition
	 * @summary
	 * @bug
	 */
	public void guardarOpcions() {

	}

	/**
	 * Opcio.obtenirOpcions
	 * 
	 * @desc <p>
	 * @version: 1.0 - 17/11/2013
	 * @autor: Toms Ruiz
	 * @params:
	 * @return: el valor de Tipus: void
	 * @exception:
	 * @see: obtenirOpcions, Opcio * @see [String]
	 * @see [URL]
	 * @see [Class name#method name]
	 * @example
	 * @todo
	 * @precondition
	 * @postcondition
	 * @summary
	 * @bug
	 */
	public void obtenirOpcions() {

	}

}
