/******************************************************************************************
 * Fitxer:AulaLlista.java
 * Data Creaci:18-nov-2013
 * Ultima Modificacio: 18-nov-2013
 * Autor:Toms Ruiz
 * Projecte: TUTOC - Aplicaci Android enfocada a la gesti dels tutors a UOC
 * Assignatura:TFC-Desenvolupament aplicacions dispositius mbils (Android) Aula 3
 * Consultor:Joan Vicent  Orenga  Serisuelo
 * Descripci:
 * Log:
 ****************************************************************************************** */
package edu.uoc.tutoc.aula;

import java.util.ArrayList;

import com.google.gson.Gson;

/**
 * El Class AulaLlista.
 */
public class AulaLlista {

	/** El classrooms. */
	private ArrayList<Aula> classrooms;

	/**
	 * The Constructor.
	 * 
	 * @desc: Instancia una nova aula llista. esttica: false
	 * @date: 18-nov-2013 21:20:15 package: edu.uoc.tutoc.aula
	 */
	public AulaLlista() {
	}

	/**
	 * Obt el classrooms.
	 * 
	 * @return the classrooms
	 * @desc: Ens dona classrooms.
	 * @return: classrooms Tipus: ArrayList<Aula>
	 */
	public ArrayList<Aula> getClassrooms() {
		return classrooms;
	}

	/**
	 * Defineix el classrooms.
	 * 
	 * @param aules
	 *            el nou classrooms de tipus void
	 * @desc Dona valor classrooms.
	 */
	public void setClassrooms(ArrayList<Aula> aules) {
		this.classrooms = aules;
	}

	/**
	 * JSO nto classroom list.
	 * 
	 * @param aulallista
	 *            : aulallista
	 * @return aula llista Tipus: AulaLlista
	 */
	public static AulaLlista JSONtoClassroomList(String aulallista) {
		return new Gson().fromJson(aulallista, AulaLlista.class);
	}

}
