/******************************************************************************************
 * Fitxer:AdaptadorLlistaCarpetaCorreus.java
 * Data Creaci:03-nov-2013
 * Ultima Modificacio: 10-dic-2013
 * Autor:Toms Ruiz
 * Projecte: TUTOC - Aplicaci Android enfocada a la gesti dels tutors a UOC
 * Assignatura:TFC-Desenvolupament aplicacions dispositius mbils (Android) Aula 3
 * Consultor:Joan Vicent  Orenga  Serisuelo
 * Descripci:
 * Log:
****************************************************************************************** */
package edu.uoc.tutoc.bustia;

import java.util.ArrayList;

import edu.uoc.tutoc.R;

import android.app.Activity;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.TextView;

/**
 * Classe: Projecte:TUTOC.
 * 
 * @desc: Package:edu.uoc.tutoc.bustia Data Creacio:03/12/2013
 * @author: <A HREF="mailto:truizso@uoc.edu">Toms Ruiz</A>
 * @version:0.0 Log: Revision 03/12/2013 Inicial
 * @see [String]
 * @see [URL]
 * @see [Class name#method name]
 * @example
 * @todo
 * @precondition
 * @postcondition
 * @summary
 * @bug *
 */
public class AdaptadorLlistaCarpetaCorreus extends BaseAdapter {

	/**
	 * El activitat. @desc Mtode sobrescrigut de @see
	 * android.widget.Adapter#getCount()
	 * <p>
	 * @version: 1.0 @autor: Toms Ruiz @params: @return: el valor de
	 * @exception: @see: @see android.widget.Adapter#getCount() @see [String] @see
	 * [URL] @see [Class name#method name] @example @todo @precondition @postcondition @summary @bug
	 */
	private final Activity activitat;
	
	/** El llista carpeta. */
	private final ArrayList<CorreuElectronicCarpeta> llistaCarpeta;

	/**
	 * @desc Mtode sobrescrigut de @see android.widget.Adapter#getCount() 
	 * <p>
	 * @version: 1.0
	 * @autor: Toms Ruiz
	 * @params:
	 * @return: el valor de
	 * @exception:
	 * @see: @see android.widget.Adapter#getCount()
	 * @see [String]
	 * @see [URL]
	 * @see [Class name#method name]
	 * @example
	 * @todo
	 * @precondition
	 * @postcondition
	 * @summary
	 * @bug
	
	*/
	
	@Override
	public int getCount() {
		
		return llistaCarpeta.size();
	}

	/**
	 * Constructor
	 * 
	 * *.
	 * 
	 * @param activitat
	 *            : activitat
	 * @param llistaCarpeta
	 *            : llista carpeta
	 * @desc: Instancia una nova adaptador llista carpeta correus. esttica:
	 *        false
	 * @date: 10-dic-2013 21:51:03 package: edu.uoc.tutoc.bustia
	 */

	public AdaptadorLlistaCarpetaCorreus(Activity activitat,
			ArrayList<CorreuElectronicCarpeta> llistaCarpeta) {
		super();
		this.activitat = activitat;
		this.llistaCarpeta = llistaCarpeta;
	}

	/**
	 * Obt el item.
	 * 
	 * @param position
	 *            : position
	 * @return the item
	 * @desc Mtode sobrescrigut de @see android.widget.Adapter#getItem(int)
	 *       <p>
	 * @version: 1.0
	 * @autor: Toms Ruiz
	 * @params:
	 * @return: el valor de
	 * @exception:
	 * @see: @see android.widget.Adapter#getItem(int)
	 * @see [String]
	 * @see [URL]
	 * @see [Class name#method name]
	 * @example
	 * @todo
	 * @precondition
	 * @postcondition
	 * @summary
	 * @bug
	 */

	@Override
	public Object getItem(int position) {
		// TODO Desenvolupar funci
		return llistaCarpeta.get(position);
	}

	/**
	 * Obt el item id.
	 * 
	 * @param position
	 *            : position
	 * @return the item id
	 * @desc Mtode sobrescrigut de @see android.widget.Adapter#getItemId(int)
	 *       <p>
	 * @version: 1.0
	 * @autor: Toms Ruiz
	 * @params:
	 * @return: el valor de
	 * @exception:
	 * @see: @see android.widget.Adapter#getItemId(int)
	 * @see [String]
	 * @see [URL]
	 * @see [Class name#method name]
	 * @example
	 * @todo
	 * @precondition
	 * @postcondition
	 * @summary
	 * @bug
	 */

	@Override
	public long getItemId(int position) {
		// TODO Desenvolupar funci
		return 0;
	}

	/**
	 * Obt el view.
	 * 
	 * @param position
	 *            : position
	 * @param convertView
	 *            : convert view
	 * @param parent
	 *            : parent
	 * @return the view
	 * @desc Mtode sobrescrigut de @see android.widget.Adapter#getView(int,
	 *       android.view.View, android.view.ViewGroup)
	 *       <p>
	 * @version: 1.0
	 * @autor: Toms Ruiz
	 * @params:
	 * @return: el valor de
	 * @exception:
	 * @see: @see android.widget.Adapter#getView(int, android.view.View,
	 *       android.view.ViewGroup)
	 * @see [String]
	 * @see [URL]
	 * @see [Class name#method name]
	 * @example
	 * @todo
	 * @precondition
	 * @postcondition
	 * @summary
	 * @bug
	 */

	@Override
	public View getView(int position, View convertView, ViewGroup parent) {
		LayoutInflater inflater = activitat.getLayoutInflater();
		View view = inflater.inflate(R.layout.elementllistabustiacarpeta, null,
				true); // Associem la vista de carpeta
		TextView txtData = (TextView) view.findViewById(R.id.NomCarpeta);
		txtData.setText(llistaCarpeta.get(position).getName() + " id:"
				+ llistaCarpeta.get(position).getId());
		txtData = (TextView) view.findViewById(R.id.NumMails);
		txtData.setText("Correus Total:"
				+ llistaCarpeta.get(position).getTotalMessages());
		txtData = (TextView) view.findViewById(R.id.NumMailsNoLlegits);
		txtData.setText("Correus no llegit"
				+ llistaCarpeta.get(position).getUnreadMessages());
		return view;
	}

}
