/******************************************************************************************
 * Fitxer:correuElectronicCarpeta.java
 * Data Creaci:17-nov-2013
 * Ultima Modificacio: 17-nov-2013
 * Autor:Toms Ruiz
 * Projecte: TUTOC - Aplicaci Android enfocada a la gesti dels tutors a UOC
 * Assignatura:TFC-Desenvolupament aplicacions dispositius mbils (Android) Aula 3
 * Consultor:Joan Vicent  Orenga  Serisuelo
 * Descripci:
 * Log:
 ****************************************************************************************** */

package edu.uoc.tutoc.bustia;

/**
 * Classe: Projecte:TUTOC.
 * 
 * @desc: Package:edu.uoc.tutoc.bustia Data Creacio:17/11/2013
 * @author: <A HREF="mailto:truizso@uoc.edu">Toms Ruiz</A>
 * @version:0.0 Log: Revision 17/11/2013 Inicial
 * @see [String]
 * @see [URL]
 * @see [Class name#method name]
 * @example
 * @todo
 * @precondition
 * @postcondition
 * @summary
 * @bug *
 */
public class CorreuElectronicCarpeta {

	// --Atributs
	private String id; // Identificador de la carpeta
	private String name; // Nom de la carpeta
	private long unreadMessages; // Nombre de correue electrnic no llegits
	private long totalMessages; // Nombre total de correu electrnic

	/**
	 * Retorna el id
	 * <p>
	 * Aquest mtode retornar id
	 * 
	 * @param:
	 * @return: id tipus: String
	 * @see:#id
	 * @throws:
	 */
	public String getId() {
		return id; // Es retorna id
	}

	/**
	 * Dna Valor al id
	 * <p>
	 * Posa com valor de id el id
	 * 
	 * @param:id Tipus: String
	 * @return: void
	 * @see:#id
	 * @throws:
	 */
	public void setId(String id) {
		this.id = id; // Se assigna el valor
	}

	/**
	 * Retorna el name
	 * <p>
	 * Aquest mtode retornar name
	 * 
	 * @param:
	 * @return: name tipus: String
	 * @see:#name
	 * @throws:
	 */
	public String getName() {
		return name; // Es retorna name
	}

	/**
	 * Dna Valor al name
	 * <p>
	 * Posa com valor de name el name
	 * 
	 * @param:name Tipus: String
	 * @return: void
	 * @see:#name
	 * @throws:
	 */
	public void setName(String name) {
		this.name = name; // Se assigna el valor
	}

	/**
	 * Retorna el unreadMessages
	 * <p>
	 * Aquest mtode retornar unreadMessages
	 * 
	 * @param:
	 * @return: unreadMessages tipus: long
	 * @see:#unreadMessages
	 * @throws:
	 */
	public long getUnreadMessages() {
		return unreadMessages; // Es retorna unreadMessages
	}

	/**
	 * Dna Valor al unreadMessages
	 * <p>
	 * Posa com valor de unreadMessages el unreadMessages
	 * 
	 * @param:unreadMessages Tipus: long
	 * @return: void
	 * @see:#unreadMessages
	 * @throws:
	 */
	public void setUnreadMessages(long unreadMessages) {
		this.unreadMessages = unreadMessages; // Se assigna el valor
	}

	/**
	 * Retorna el totalMessages
	 * <p>
	 * Aquest mtode retornar totalMessages
	 * 
	 * @param:
	 * @return: totalMessages tipus: long
	 * @see:#totalMessages
	 * @throws:
	 */
	public long getTotalMessages() {
		return totalMessages; // Es retorna totalMessages
	}

	/**
	 * Dna Valor al totalMessages
	 * <p>
	 * Posa com valor de totalMessages el totalMessages
	 * 
	 * @param:totalMessages Tipus: long
	 * @return: void
	 * @see:#totalMessages
	 * @throws:
	 */
	public void setTotalMessages(long totalMessages) {
		this.totalMessages = totalMessages; // Se assigna el valor
	}

}
