/******************************************************************************************
 * Fitxer:adaptadorLlistaMails.java
 * Data Creaci:20-nov-2013
 * Ultima Modificacio: 10-dic-2013
 * Autor:Toms Ruiz
 * Projecte: TUTOC - Aplicaci Android enfocada a la gesti dels tutors a UOC
 * Assignatura:TFC-Desenvolupament aplicacions dispositius mbils (Android) Aula 3
 * Consultor:Joan Vicent  Orenga  Serisuelo
 * Descripci:
 * Log:
 ****************************************************************************************** */

package edu.uoc.tutoc.bustia;

import java.util.ArrayList;

import android.app.Activity;
import android.graphics.Typeface;
import android.text.SpannableString;
import android.text.style.StyleSpan;
import android.text.style.UnderlineSpan;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.ImageView;
import android.widget.TextView;
import edu.uoc.tutoc.R;

/**
 * Classe: Projecte:TUTOC.
 * 
 * @desc: Package:edu.uoc.tutoc.bustia Data Creacio:01/12/2013
 * @author: <A HREF="mailto:truizso@uoc.edu">Toms Ruiz</A>
 * @version:0.0 Log: Revision 01/12/2013 Inicial
 * @see [String]
 * @see [URL]
 * @see [Class name#method name]
 * @example
 * @todo
 * @precondition
 * @postcondition
 * @summary
 * @bug *
 */
public class adaptadorLlistaMails extends BaseAdapter {

	/** El activitat. */
	private final Activity activitat;

	/** El bustia. */
	private final ArrayList<CorreuElectronic> bustia;

	/**
	 * Constructor
	 * 
	 * *.
	 * 
	 * @param activitat
	 *            : activitat
	 * @param bustia
	 *            : bustia
	 * @desc: Instancia una nova adaptador llista mails. esttica: false
	 * @date: 10-dic-2013 21:51:37 package: edu.uoc.tutoc.bustia
	 */

	public adaptadorLlistaMails(Activity activitat,
			ArrayList<CorreuElectronic> bustia) {
		super();
		this.activitat = activitat;
		this.bustia = bustia;
	}

	/**
	 * Obt el count.
	 * 
	 * @return the count
	 * @desc Mtode sobrescrigut de @see android.widget.Adapter#getCount()
	 *       <p>
	 * @version: 1.0
	 * @autor: Toms Ruiz
	 * @params:
	 * @return: el valor de
	 * @exception:
	 * @see: @see android.widget.Adapter#getCount()
	 * @see [String]
	 * @see [URL]
	 * @see [Class name#method name]
	 * @example
	 * @todo
	 * @precondition
	 * @postcondition
	 * @summary
	 * @bug
	 */

	@Override
	public int getCount() {

		return bustia.size();
	}

	/**
	 * Obt el item.
	 * 
	 * @param position
	 *            : position
	 * @return the item
	 * @desc Mtode sobrescrigut de @see android.widget.Adapter#getItem(int)
	 *       <p>
	 * @version: 1.0
	 * @autor: Toms Ruiz
	 * @params:
	 * @return: el valor de
	 * @exception:
	 * @see: @see android.widget.Adapter#getItem(int)
	 * @see [String]
	 * @see [URL]
	 * @see [Class name#method name]
	 * @example
	 * @todo
	 * @precondition
	 * @postcondition
	 * @summary
	 * @bug
	 */

	@Override
	public Object getItem(int position) {
		return bustia.get(position);

	}

	/**
	 * Obt el item id.
	 * 
	 * @param position
	 *            : position
	 * @return the item id
	 * @desc Mtode sobrescrigut de @see android.widget.Adapter#getItemId(int)
	 *       <p>
	 * @version: 1.0
	 * @autor: Toms Ruiz
	 * @params:
	 * @return: el valor de
	 * @exception:
	 * @see: @see android.widget.Adapter#getItemId(int)
	 * @see [String]
	 * @see [URL]
	 * @see [Class name#method name]
	 * @example
	 * @todo
	 * @precondition
	 * @postcondition
	 * @summary
	 * @bug
	 */

	@Override
	public long getItemId(int position) {
		// TODO Desenvolupar funci
		return 0;
	}

	/**
	 * Obt el view.
	 * 
	 * @param position
	 *            : position
	 * @param convertView
	 *            : convert view
	 * @param parent
	 *            : parent
	 * @return the view
	 * @desc Mtode sobrescrigut de @see android.widget.Adapter#getView(int,
	 *       android.view.View, android.view.ViewGroup)
	 *       <p>
	 * @version: 1.0
	 * @autor: Toms Ruiz
	 * @params:
	 * @return: el valor de
	 * @exception:
	 * @see: @see android.widget.Adapter#getView(int, android.view.View,
	 *       android.view.ViewGroup)
	 * @see [String]
	 * @see [URL]
	 * @see [Class name#method name]
	 * @example
	 * @todo
	 * @precondition
	 * @postcondition
	 * @summary
	 * @bug
	 */

	@Override
	public View getView(int position, View convertView, ViewGroup parent) {
		// TODO Desenvolupar funci
		LayoutInflater inflater = activitat.getLayoutInflater();
		View view = inflater.inflate(R.layout.activity_mail, null, true);
		// Marquem la data del correu electrnic

		TextView txtData = (TextView) view.findViewById(R.id.txtDataMail);
		txtData.setText(bustia.get(position).getDate());
		// Marquem l'assumpte del correu electrnic
		txtData = (TextView) view.findViewById(R.id.txtAssumpte);
		String tempString = bustia.get(position).getSubject();
		ImageView logo_mail = (ImageView) view
				.findViewById(R.id.activity_mail_logomail);
		if (bustia.get(position).getStatus() == 0) {// Si no est llegit el
													// posem en bold, italic i
													// subrayat
			SpannableString spanString = new SpannableString(tempString);
			spanString.setSpan(new UnderlineSpan(), 0, spanString.length(), 0);
			spanString.setSpan(new StyleSpan(Typeface.BOLD), 0,
					spanString.length(), 0);
			spanString.setSpan(new StyleSpan(Typeface.ITALIC), 0,
					spanString.length(), 0);
			logo_mail.setImageResource(R.drawable.ic_mail_unread); // Posem
																	// l'icona
																	// de no
																	// llegit
		} else {
			logo_mail.setImageResource(R.drawable.ic_mail_readed); // Posem
																	// l'icona
																	// de llegit
		}
		txtData.setText(tempString);
		// Marquem l'autor del correu
		txtData = (TextView) view.findViewById(R.id.txtAutor);
		txtData.setText(bustia.get(position).getFrom());
		// Marquem snippet del correu electrnic
		txtData = (TextView) view.findViewById(R.id.txtSnippet);
		txtData.setText(bustia.get(position).getSnippet());
		return view;
	}

}
