/******************************************************************************************
 * Fitxer:Board.java
 * Data Creaci:16-nov-2013
 * Ultima Modificacio: 10-dic-2013
 * Autor:Toms Ruiz
 * Projecte: TUTOC - Aplicaci Android enfocada a la gesti dels tutors a UOC
 * Assignatura:TFC-Desenvolupament aplicacions dispositius mbils (Android) Aula 3
 * Consultor:Joan Vicent  Orenga  Serisuelo
 * Descripci:
 * Log:
****************************************************************************************** */
package edu.uoc.tutoc.taulell;

public class Board {
	private String id; // Identificaci del taulell
	private String subtype; // Subtipus del taulell
	private String title; // Ttol del taulell
	private String code; // Codi del taulell
	private String domainId; // Identificador de la classe on hi s el taulell
	private int totalMessages; // Total de missatge
	private int unreadMessages; // Total de missatges no llegits

	/**
	 * Retorna el id
	 * <p>
	 * Aquest mtode retornar id.
	 * 
	 * @return the id
	 * @param:
	 * @return: id tipus: String
	 * @see:#id
	 * @throws:
	 */
	public String getId() {
		return id; // Es retorna id
	}

	/**
	 * Dna Valor al id
	 * <p>
	 * Posa com valor de id el id
	 * 
	 * @param:id Tipus: String
	 * @return: void
	 * @see:#id
	 * @throws:
	 */
	public void setId(String id) {
		this.id = id; // Se assigna el valor
	}

	/**
	 * Retorna el subtype
	 * <p>
	 * Aquest mtode retornar subtype
	 * 
	 * @param:
	 * @return: subtype tipus: String
	 * @see:#subtype
	 * @throws:
	 */
	public String getSubtype() {
		return subtype; // Es retorna subtype
	}

	/**
	 * Dna Valor al subtype
	 * <p>
	 * Posa com valor de subtype el subtype
	 * 
	 * @param:subtype Tipus: String
	 * @return: void
	 * @see:#subtype
	 * @throws:
	 */
	public void setSubtype(String subtype) {
		this.subtype = subtype; // Se assigna el valor
	}

	/**
	 * Retorna el title
	 * <p>
	 * Aquest mtode retornar title
	 * 
	 * @param:
	 * @return: title tipus: String
	 * @see:#title
	 * @throws:
	 */
	public String getTitle() {
		return title; // Es retorna title
	}

	/**
	 * Dna Valor al title
	 * <p>
	 * Posa com valor de title el title
	 * 
	 * @param:title Tipus: String
	 * @return: void
	 * @see:#title
	 * @throws:
	 */
	public void setTitle(String title) {
		this.title = title; // Se assigna el valor
	}

	/**
	 * Retorna el code
	 * <p>
	 * Aquest mtode retornar code
	 * 
	 * @param:
	 * @return: code tipus: String
	 * @see:#code
	 * @throws:
	 */
	public String getCode() {
		return code; // Es retorna code
	}

	/**
	 * Dna Valor al code
	 * <p>
	 * Posa com valor de code el code
	 * 
	 * @param:code Tipus: String
	 * @return: void
	 * @see:#code
	 * @throws:
	 */
	public void setCode(String code) {
		this.code = code; // Se assigna el valor
	}

	/**
	 * Retorna el domainId
	 * <p>
	 * Aquest mtode retornar domainId
	 * 
	 * @param:
	 * @return: domainId tipus: String
	 * @see:#domainId
	 * @throws:
	 */
	public String getDomainId() {
		return domainId; // Es retorna domainId
	}

	/**
	 * Dna Valor al domainId
	 * <p>
	 * Posa com valor de domainId el domainId
	 * 
	 * @param:domainId Tipus: String
	 * @return: void
	 * @see:#domainId
	 * @throws:
	 */
	public void setDomainId(String domainId) {
		this.domainId = domainId; // Se assigna el valor
	}

	/**
	 * Retorna el totalMessages
	 * <p>
	 * Aquest mtode retornar totalMessages
	 * 
	 * @param:
	 * @return: totalMessages tipus: int
	 * @see:#totalMessages
	 * @throws:
	 */
	public int getTotalMessages() {
		return totalMessages; // Es retorna totalMessages
	}

	/**
	 * Dna Valor al totalMessages
	 * <p>
	 * Posa com valor de totalMessages el totalMessages
	 * 
	 * @param:totalMessages Tipus: int
	 * @return: void
	 * @see:#totalMessages
	 * @throws:
	 */
	public void setTotalMessages(int totalMessages) {
		this.totalMessages = totalMessages; // Se assigna el valor
	}

	/**
	 * Retorna el unreadMessages
	 * <p>
	 * Aquest mtode retornar unreadMessages
	 * 
	 * @param:
	 * @return: unreadMessages tipus: int
	 * @see:#unreadMessages
	 * @throws:
	 */
	public int getUnreadMessages() {
		return unreadMessages; // Es retorna unreadMessages
	}

	/**
	 * Dna Valor al unreadMessages
	 * <p>
	 * Posa com valor de unreadMessages el unreadMessages
	 * 
	 * @param:unreadMessages Tipus: int
	 * @return: void
	 * @see:#unreadMessages
	 * @throws:
	 */
	public void setUnreadMessages(int unreadMessages) {
		this.unreadMessages = unreadMessages; // Se assigna el valor
	}

	public Board() {
		// Default constructor
	}

}
