/******************************************************************************************
 * Fitxer:BoardList.java
 * Data Creaci:18-nov-2013
 * Ultima Modificacio: 18-nov-2013
 * Autor:Toms Ruiz
 * Projecte: TUTOC - Aplicaci Android enfocada a la gesti dels tutors a UOC
 * Assignatura:TFC-Desenvolupament aplicacions dispositius mbils (Android) Aula 3
 * Consultor:Joan Vicent  Orenga  Serisuelo
 * Descripci:
 * Log:
 ****************************************************************************************** */
package edu.uoc.tutoc.taulell;

import java.util.ArrayList;

import com.google.gson.Gson;

/**
 * El Class BoardList.
 */
public class BoardList {

	/** El boards. */
	private ArrayList<Board> boards;

	/**
	 * The Constructor.
	 * 
	 * @desc: Instancia una nova board list. esttica: false
	 * @date: 18-nov-2013 21:19:23 package: edu.uoc.tutoc.taulell
	 */
	public BoardList() {
	}

	/**
	 * Obt el board list.
	 * 
	 * @return the board list
	 * @desc: Ens dona board list.
	 * @return: board list Tipus: ArrayList<Board>
	 */
	public ArrayList<Board> getBoardList() {
		return boards;
	}

	/**
	 * Defineix el user list.
	 * 
	 * @param boards
	 *            el nou user list de tipus void
	 * @desc Dona valor user list.
	 */
	public void setUserList(ArrayList<Board> boards) {
		this.boards = boards;
	}

	/**
	 * Mtode que transforma una cadena de format JSON a un objecte de tipus
	 * BoardList.
	 * 
	 * @param boardList
	 *            String en format JSON d'un objecte BoardList
	 * @return BoardList Retorna un objecte BoardList obtingut de l'String JSON
	 */
	public static BoardList JSONtoBoardList(String boardList) {
		return new Gson().fromJson(boardList, BoardList.class);
	}

}
