/******************************************************************************************
 * Fitxer:MainActivity.java
 * Data Creaci:15-dic-2013
 * Ultima Modificacio: 15-dic-2013
 * Autor:Toms Ruiz
 * Projecte: TUTOC - Aplicaci Android enfocada a la gesti dels tutors a UOC
 * Assignatura:TFC-Desenvolupament aplicacions dispositius mbils (Android) Aula 3
 * Consultor:Joan Vicent  Orenga  Serisuelo
 * Descripci: Activitat Principal, encarregada de  fer la connexi UOC
 * Log:S'utilitzava abans de tenir un splash screen ara en dess i no s'utilitza a la aplicaci
 ****************************************************************************************** */

package edu.uoc.tutoc;

import android.os.Bundle;
import android.app.Activity;
import android.content.Intent;
import android.view.Menu;
import android.view.View;

/**
 * El Class MainActivity.
 */
public class MainActivity extends Activity {

	/**
	 * On create.
	 * 
	 * @param savedInstanceState
	 *            : saved instance state
	 * @return void
	 * @desc Mtode sobrescrigut de @see
	 *       android.app.Activity#onCreate(android.os.Bundle)
	 *       <p>
	 * @version: 1.0
	 * @autor: Toms Ruiz
	 * @params:
	 * @return: el valor de
	 * @exception:
	 * @see: @see android.app.Activity#onCreate(android.os.Bundle)
	 * @see [String]
	 * @see [URL]
	 * @see [Class name#method name]
	 * @example
	 * @todo
	 * @precondition
	 * @postcondition
	 * @summary
	 * @bug
	 */

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);
		startActivity(new Intent(this, IdentificacioActivity.class));
		finish();
	}

	/**
	 * On create options menu.
	 * 
	 * @param menu
	 *            : menu
	 * @return true, si es correcte
	 * @desc Mtode sobrescrigut de @see
	 *       android.app.Activity#onCreateOptionsMenu(android.view.Menu)
	 *       <p>
	 * @version: 1.0
	 * @autor: Toms Ruiz
	 * @params:
	 * @return: el valor de
	 * @exception:
	 * @see: @see android.app.Activity#onCreateOptionsMenu(android.view.Menu)
	 * @see [String]
	 * @see [URL]
	 * @see [Class name#method name]
	 * @example
	 * @todo
	 * @precondition
	 * @postcondition
	 * @summary
	 * @bug
	 */

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		// Inflate the menu; this adds items to the action bar if it is present.
		getMenuInflater().inflate(R.menu.main, menu);
		return true;
	}

	/**
	 * Login.
	 * 
	 * @param v
	 *            the v
	 * @return void
	 * @desc Login.
	 */
	public void login(View v) {
		startActivity(new Intent(this, IdentificacioActivity.class));

	}

	/**
	 * Obrir test.
	 * 
	 * @param v
	 *            : v
	 * @return void
	 * @desc Obrir test.
	 */
	public void obrirTest(View v) {
		startActivity(new Intent(this, Test.class));
	}
}
