/******************************************************************************************
 * Fitxer:SplashActivity.java
 * Data Creaci:10-dec-2013
 * Ultima Modificacio: 06-ene-2014
 * Autor:Toms Ruiz
 * Projecte: TUTOC - Aplicaci Android enfocada a la gesti dels tutors a UOC
 * Assignatura:TFC-Desenvolupament aplicacions dispositius mbils (Android) Aula 3
 * Consultor:Joan Vicent  Orenga  Serisuelo
 * Descripci:Classe que mostra una pantalla de presentaci
 * Log:
 ****************************************************************************************** */
package edu.uoc.tutoc;

import edu.uoc.tutoc.utils.Constant;
import android.os.Bundle;
import android.os.Handler;
import android.app.Activity;
import android.content.Intent;

/**
 * El Class SplashActivity.
 */
public class SplashActivity extends Activity {

	/**
	 * On create.
	 * 
	 * @param savedInstanceState
	 *            : saved instance state
	 * @return void
	 * @desc Mtode sobrescrigut de @see
	 *       android.app.Activity#onCreate(android.os.Bundle)
	 *       <p>
	 * @version: 1.0
	 * @autor: Toms Ruiz
	 * @params: Bundle
	 * @return: void
	 * @exception:
	 * @see: @see android.app.Activity#onCreate(android.os.Bundle)
	 * @see [String]
	 * @see [URL]
	 * @see [Class name#method name]
	 * @example
	 * @todo
	 * @precondition
	 * @postcondition
	 * @summary
	 * @bug
	 */

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.splash);
		new Handler().postDelayed(new Runnable() {

			@Override
			public void run() {
				/*Intent intent = new Intent(SplashActivity.this,
						MainActivity.class);
						startActivity(intent);*/
				startActivity(new Intent(SplashActivity.this, IdentificacioActivity.class));
				finish();
			}
		}, Constant.SPLASH_DISPLAY_LENGTH); // Esperem 5 segons per anar a la
											// pantalla principal
	}

}
