/******************************************************************************************
 * Fitxer:ManagerTutor.java
 * Data Creaci:16-nov-2013
 * Ultima Modificacio: 10-dic-2013
 * Autor:Toms Ruiz
 * Projecte: TUTOC - Aplicaci Android enfocada a la gesti dels tutors a UOC
 * Assignatura:TFC-Desenvolupament aplicacions dispositius mbils (Android) Aula 3
 * Consultor:Joan Vicent  Orenga  Serisuelo
 * Descripci:
 * Log:
 ****************************************************************************************** */
package edu.uoc.tutoc.alumne;

import edu.uoc.tutoc.aplicacio.Manager;

/**
 * Classe: ManagerTutor Descripcio: Encarregada de manegar les operacions que
 * han de realitzar-se pels alumnes Package:edu.uoc.tutoc.aplicacio.Manager Data
 * Creacio:01/11/2013
 * 
 * @author: <A HREF="mailto:truizso@uoc.edu">Toms Ruiz</A>
 * @version:0.0 Log: Revision 01/11/2011 Inicial
 * @see [String]
 * @see [URL]
 * @see [Class name#method name]
 * 
 ***/

public class ManagerTutor extends Manager {

	/** Es tracta del alumne que manegara la clase. */
	private Alumne alumne;

	/** Total de alumnes retornat a la llista. */
	private int totalAlumnes;

	/**
	 * Retorna el alumne
	 * <p>
	 * Aquest mtode retornar alumne.
	 * 
	 * @return the es tracta del alumne que manegara la clase
	 * @param:
	 * @return: alumne l'objecte alumne demanat
	 * @see:#alumne
	 * @throws:
	 */
	public Alumne getAlumne() {
		return alumne;
	}

	/**
	 * Dna Valor al alumne
	 * <p>
	 * Posa com valor de alumne el alumne.
	 * 
	 * @param alumne
	 *            the new es tracta del alumne que manegara la clase
	 * @param:alumne Un Alumne
	 * @return: void
	 * @see:#alumne
	 * @throws:
	 */
	public void setAlumne(Alumne alumne) {
		this.alumne = alumne;
	}

	/**
	 * Retorna el totalAlumnes
	 * <p>
	 * Aquest mtode retornar totalAlumnes.
	 * 
	 * @return the total de alumnes retornat a la llista
	 * @param:
	 * @return: totalAlumnes int
	 * @see:#totalAlumnes
	 * @throws:
	 */
	public int getTotalAlumnes() {
		return totalAlumnes;
	}

	/**
	 * Dna Valor al totalAlumnes
	 * <p>
	 * Posa com valor de totalAlumnes el totalAlumnes.
	 * 
	 * @param totalAlumnes
	 *            the new total de alumnes retornat a la llista
	 * @param:totalAlumnes int
	 * @return: void
	 * @see:#totalAlumnes
	 * @throws:
	 */
	public void setTotalAlumnes(int totalAlumnes) {
		this.totalAlumnes = totalAlumnes;
	}

	/**
	 * Obtenir alumnes.
	 * 
	 * @param token
	 *            de la sessi rebuda
	 * 
	 * @return the alumne
	 */
	public Alumne obtenirAlumnes(String token) {
		return null;
	}

	/**
	 * Cercar alumne.
	 * 
	 * @param criteri
	 *            the criteri
	 * @return the alumne
	 */
	public Alumne cercarAlumne(String criteri) {
		return null;
	}

}
