/******************************************************************************************
 * Fitxer:Manager.java
 * Data Creaci:16-nov-2013
 * Ultima Modificacio: 16-nov-2013
 * Autor:Toms Ruiz
 * Projecte: TUTOC - Aplicaci Android enfocada a la gesti dels tutors a UOC
 * Assignatura:TFC-Desenvolupament aplicacions dispositius mbils (Android) Aula 3
 * Consultor:Joan Vicent  Orenga  Serisuelo
 * Descripci: Fitxer que s'encarrega de gestionar Manager, qui s'encarrega de manegar les diferents funcionalitats
 * Log:
 ****************************************************************************************** */
package edu.uoc.tutoc.aplicacio;

import java.util.Date;

/**
 * Classe: Manager Projecte:TUTOC Descripcio:S'encarrega de gestionar les
 * diferents funcions de la aplicaci Package:edu.uoc.tutoc.aplicacio Data
 * Creacio:01/11/2013
 * 
 * @author: <A HREF="mailto:truizso@uoc.edu">Toms Ruiz</A>
 * @version:0.0 Log: Revision 01/11/2011 Inicial
 * @see [String]
 * @see [URL]
 * @see [Class name#method name]
 * 
 ***/
public class Manager {
	private Date dataExecucio; // Data de en quin moment s'est executant el
								// procs

	private String token; // Token de sessi

	private Applicacio pare; // Obtenci de dadews de la aplicaci

	/**
	 * Retorna la dataExecucio
	 * <p>
	 * Aquest mtode retornar dataExecucio
	 * 
	 * @param:
	 * @return: dataExecucio tipus: Date
	 * @see:#dataExecucio
	 * @throws:
	 */
	public Date getDataExecucio() {
		return dataExecucio;
	}

	/**
	 * Dna Valor al dataExecucio
	 * <p>
	 * Posa com valor de dataExecucio el dataExecucio
	 * 
	 * @param:dataExecucio Tipus: Date
	 * @return: void
	 * @see:#dataExecucio
	 * @throws:
	 */
	public void setDataExecucio(Date dataExecucio) {
		this.dataExecucio = dataExecucio;
	}

	/**
	 * Retorna el token
	 * <p>
	 * Aquest mtode retornar token
	 * 
	 * @param:
	 * @return: token tipus: String
	 * @see:#token
	 * @throws:
	 */
	public String getToken() {
		return token;
	}

	/**
	 * Dna Valor al token
	 * <p>
	 * Posa com valor de token el token
	 * 
	 * @param:token Tipus: String
	 * @return: void
	 * @see:#token
	 * @throws:
	 */
	public void setToken(String token) {
		this.token = token;
	}

	/**
	 * Retorna el pare
	 * <p>
	 * Aquest mtode retornar pare
	 * 
	 * @param:
	 * @return: pare tipus: Application
	 * @see:#pare
	 * @throws:
	 */
	public Applicacio getPare() {
		return pare;
	}

	/**
	 * Dna Valor al pare
	 * <p>
	 * Posa com valor de pare el pare
	 * 
	 * @param:pare Tipus: Application
	 * @return: void
	 * @see:#pare
	 * @throws:
	 */
	public void setPare(Applicacio pare) {
		this.pare = pare;
	}

}
