/******************************************************************************************
 * Fitxer:CarpetaCorreuElectronicLlista.java
 * Data Creaci:10-dic-2013
 * Ultima Modificacio: 10-dic-2013
 * Autor:Toms Ruiz
 * Projecte: TUTOC - Aplicaci Android enfocada a la gesti dels tutors a UOC
 * Assignatura:TFC-Desenvolupament aplicacions dispositius mbils (Android) Aula 3
 * Consultor:Joan Vicent  Orenga  Serisuelo
 * Descripci:
 * Log:
 ****************************************************************************************** */

package edu.uoc.tutoc.bustia;

import java.util.ArrayList;

import com.google.gson.Gson;

/**
 * Classe: Projecte:TUTOC.
 * 
 * @desc: Package:edu.uoc.tutoc.bustia Data Creacio:03/12/2013
 * @author: <A HREF="mailto:truizso@uoc.edu">Toms Ruiz</A>
 * @version:0.0 Log: Revision 03/12/2013 Inicial
 * @see [String]
 * @see [URL]
 * @see [Class name#method name]
 * @example
 * @todo
 * @precondition
 * @postcondition
 * @summary
 * @bug *
 */
public class CarpetaCorreuElectronicLlista {
	
	/** El folders. */
	private ArrayList<CorreuElectronicCarpeta> folders;
	
	/**
	 * Retorna el folderList
	 * <p>
	 * Aquest mtode retornar folderList.
	 * 
	 * @return the folders
	 * @param:
	 * @return: folderList tipus: ArrayList<CorreuElectronicCarpeta>
	 * @see:#folderList
	 * @throws:
	 */
	public ArrayList<CorreuElectronicCarpeta> getFolders() {
		return folders; //Es retorna folderList
	}
	
	/**
	 * Dna Valor al folderList
	 * <p>
	 * Posa com valor de folderList el folderList.
	 * 
	 * @param folders
	 *            el nou folders de tipus void
	 * @param:folderList Tipus: ArrayList<CorreuElectronicCarpeta>
	 * @return: void
	 * @see:#folderList
	 * @throws:
	 */
	public void setFolders(ArrayList<CorreuElectronicCarpeta> folders) {
		this.folders = folders; //Se assigna el valor
	}
	
	/**
	 * JSO nto folder list.
	 * 
	 * @param correuelectronicCarpetallista
	 *            : correuelectronic carpetallista
	 * @return carpeta correu electronic llista Tipus:
	 *         CarpetaCorreuElectronicLlista
	 */
	public static CarpetaCorreuElectronicLlista JSONtoFolderList(
			String correuelectronicCarpetallista) {
		return new Gson().fromJson(correuelectronicCarpetallista,
				CarpetaCorreuElectronicLlista.class);
	}

}
