/******************************************************************************************
 * Fitxer:correuElectronicLlista.java
 * Data Creaci:17-nov-2013
 * Ultima Modificacio: 17-nov-2013
 * Autor:Toms Ruiz
 * Projecte: TUTOC - Aplicaci Android enfocada a la gesti dels tutors a UOC
 * Assignatura:TFC-Desenvolupament aplicacions dispositius mbils (Android) Aula 3
 * Consultor:Joan Vicent  Orenga  Serisuelo
 * Descripci:
 * Log:
 ****************************************************************************************** */

package edu.uoc.tutoc.bustia;

import java.util.ArrayList;

import com.google.gson.Gson;

/**
 * La Classe correuElectronicLlista.
 */

/**
 * Classe: correuElectronicLlista
 * Projecte:TUTOC
 * @desc: porta la gesti de la llista de missatges
 *  Package:edu.uoc.tutoc.bustia 
 *  Data Creacio:17/11/2013
 * 
 * @author: <A HREF="mailto:truizso@uoc.edu">Toms Ruiz</A>
 * @version:0.0 Log: Revision 17/11/2013 Inicial
 * @see [String]
 * @see [URL]
 * @see [Class name#method name]
 * @example
 * @todo
 * @precondition
 * @postcondition
 * @summary
 * @bug
 ***/
/**
 * Classe: Projecte:TUTOC
 * 
 * @desc: Package:edu.uoc.tutoc.bustia Data Creacio:17/11/2013
 * 
 * @author: <A HREF="mailto:truizso@uoc.edu">Toms Ruiz</A>
 * @version:0.0 Log: Revision 17/11/2013 Inicial
 * @see [String]
 * @see [URL]
 * @see [Class name#method name]
 * @example
 * @todo
 * @precondition
 * @postcondition
 * @summary
 * @bug
 ***/
public class CorreuElectronicLlista {
	private ArrayList<CorreuElectronic> messages;

	/**
	 * Constructor
	 * 
	 ***/
	public CorreuElectronicLlista() {

	}

	/**
	 * Retorna el messageList
	 * <p>
	 * Aquest mtode retornar messageList
	 * 
	 * @param:
	 * @return: messageList tipus: ArrayList<CorreuElectronic>
	 * @see:#messageList
	 * @throws:
	 */
	public ArrayList<CorreuElectronic> getMessages() {
		return messages; // Es retorna messageList

	}

	/**
	 * Dna Valor al messageList
	 * <p>
	 * Posa com valor de messageList el messageList
	 * 
	 * @param:messageList Tipus: ArrayList<CorreuElectronic>
	 * @return: void
	 * @see:#messageList
	 * @throws:
	 */
	public void setMessages(ArrayList<CorreuElectronic> messageList) {
		this.messages = messageList; // Se assigna el valor

	}

	/**
	 * CorreuElectronicLlista.JSONtoMessagesList
	 * 
	 * @desc <p>
	 * @version: 1.0 - 17/11/2013
	 * @autor: Toms Ruiz
	 * @params:
	 * @return: el valor de Tipus: CorreuElectronicLlista
	 * @exception:
	 * @see: JSONtoMessagesList, CorreuElectronicLlista * @see [String]
	 * @see [URL]
	 * @see [Class name#method name]
	 * @example
	 * @todo
	 * @precondition
	 * @postcondition
	 * @summary
	 * @bug
	 */
	public static CorreuElectronicLlista JSONtoMessagesList(
			String correuelectronicllista) {
		return new Gson().fromJson(correuelectronicllista,
				CorreuElectronicLlista.class);
	}

	
}
