/******************************************************************************************
 * Fitxer:Event.java
 * Data Creaci:18-nov-2013
 * Ultima Modificacio: 18-nov-2013
 * Autor:Toms Ruiz
 * Projecte: TUTOC - Aplicaci Android enfocada a la gesti dels tutors a UOC
 * Assignatura:TFC-Desenvolupament aplicacions dispositius mbils (Android) Aula 3
 * Consultor:Joan Vicent  Orenga  Serisuelo
 * Descripci: Classe on es tracta les dades d'un event del calendari
 * Log:
 ****************************************************************************************** */
package edu.uoc.tutoc.calendari;

import java.util.Date;

/**
 * Classe: Event
 * Projecte:TUTOC
 * @desc:
 *  Package:edu.uoc.tutoc.calendari 
 *  Data Creacio:18/11/2013
 * 
 * @author: <A HREF="mailto:truizso@uoc.edu">Toms Ruiz</A>
 * @version:0.0 Log: Revision 18/11/2013 Inicial
 * @see [String]
 * @see [URL]
 * @see [Class name#method name]
 * @example
 * @todo
 * @precondition
 * @postcondition
 * @summary
 * @bug
 ***/
/**
 * Classe: Projecte:TUTOC
 * 
 * @desc: Package:edu.uoc.tutoc.calendari Data Creacio:18/11/2013
 * 
 * @author: <A HREF="mailto:truizso@uoc.edu">Toms Ruiz</A>
 * @version:0.0 Log: Revision 18/11/2013 Inicial
 * @see [String]
 * @see [URL]
 * @see [Class name#method name]
 * @example
 * @todo
 * @precondition
 * @postcondition
 * @summary
 * @bug
 ***/
public class Event {
	private String id; // identificador de l'event
	private String url; // URL de l'event al campus
	private String summary; // Resum de l'event
	private Date start; // Les dades retornades donen problema si est en format
						// Date.
	private Date end;

	/**
	 * Retorna el id
	 * <p>
	 * Aquest mtode retornar id
	 * 
	 * @param:
	 * @return: id tipus: String
	 * @see:#id
	 * @throws:
	 */
	public String getId() {
		return id; // Es retorna id
	}

	/**
	 * Dna Valor al id
	 * <p>
	 * Posa com valor de id el id
	 * 
	 * @param:id Tipus: String
	 * @return: void
	 * @see:#id
	 * @throws:
	 */
	public void setId(String id) {
		this.id = id; // Se assigna el valor
	}

	/**
	 * Retorna el url
	 * <p>
	 * Aquest mtode retornar url
	 * 
	 * @param:
	 * @return: url tipus: String
	 * @see:#url
	 * @throws:
	 */
	public String getUrl() {
		return url; // Es retorna url
	}

	/**
	 * Dna Valor al url
	 * <p>
	 * Posa com valor de url el url
	 * 
	 * @param:url Tipus: String
	 * @return: void
	 * @see:#url
	 * @throws:
	 */
	public void setUrl(String url) {
		this.url = url; // Se assigna el valor
	}

	/**
	 * Retorna el summary
	 * <p>
	 * Aquest mtode retornar summary
	 * 
	 * @param:
	 * @return: summary tipus: String
	 * @see:#summary
	 * @throws:
	 */
	public String getSummary() {
		return summary; // Es retorna summary
	}

	/**
	 * Dna Valor al summary
	 * <p>
	 * Posa com valor de summary el summary
	 * 
	 * @param:summary Tipus: String
	 * @return: void
	 * @see:#summary
	 * @throws:
	 */
	public void setSummary(String summary) {
		this.summary = summary; // Se assigna el valor
	}

	/**
	 * Retorna el start
	 * <p>
	 * Aquest mtode retornar start
	 * 
	 * @param:
	 * @return: start tipus: Date
	 * @see:#start
	 * @throws:
	 */
	public Date getStart() {
		return start; // Es retorna start
	}

	/**
	 * Dna Valor al start
	 * <p>
	 * Posa com valor de start el start
	 * 
	 * @param:start Tipus: Date
	 * @return: void
	 * @see:#start
	 * @throws:
	 */
	public void setStart(Date start) {
		this.start = start; // Se assigna el valor
	}

	/**
	 * Retorna el end
	 * <p>
	 * Aquest mtode retornar end
	 * 
	 * @param:
	 * @return: end tipus: Date
	 * @see:#end
	 * @throws:
	 */
	public Date getEnd() {
		return end; // Es retorna end
	}

	/**
	 * Dna Valor al end
	 * <p>
	 * Posa com valor de end el end
	 * 
	 * @param:end Tipus: Date
	 * @return: void
	 * @see:#end
	 * @throws:
	 */
	public void setEnd(Date end) {
		this.end = end; // Se assigna el valor
	}

	/**
	 * Constructor
	 * 
	 * *.
	 * 
	 * @desc: Instancia una nova event. esttica: false
	 * @date: 18-nov-2013 20:03:08 package: edu.uoc.tutoc.calendari
	 */
	public Event() {

	}
}
