/******************************************************************************************
 * Fitxer:EventList.java
 * Data Creaci:18-nov-2013
 * Ultima Modificacio: 18-nov-2013
 * Autor:Toms Ruiz
 * Projecte: TUTOC - Aplicaci Android enfocada a la gesti dels tutors a UOC
 * Assignatura:TFC-Desenvolupament aplicacions dispositius mbils (Android) Aula 3
 * Consultor:Joan Vicent  Orenga  Serisuelo
 * Descripci:
 * Log:
 ****************************************************************************************** */
package edu.uoc.tutoc.calendari;

import java.util.ArrayList;

import com.google.gson.Gson;

public class EventList {

	private ArrayList<Event> events;

	/**
	 * The Constructor.
	 * 
	 * @desc: Instancia una nova event list. esttica: false
	 * @date: 18-nov-2013 20:08:40 package: edu.uoc.tutoc.calendari
	 */
	public EventList() {
	}

	/**
	 * EventList.getEventList
	 * 
	 * @desc <p>
	 * @version: 1.0 - 18/11/2013
	 * @autor: Toms Ruiz
	 * @params:
	 * @return: el valor de Tipus: ArrayList<Event>
	 * @exception:
	 * @see: getEventList, EventList * @see [String]
	 * @see [URL]
	 * @see [Class name#method name]
	 * @example
	 * @todo
	 * @precondition
	 * @postcondition
	 * @summary
	 * @bug
	 */
	public ArrayList<Event> getEventList() {
		return events;
	}

	/**
	 * EventList.setEventList
	 * 
	 * @desc <p>
	 * @version: 1.0 - 18/11/2013
	 * @autor: Toms Ruiz
	 * @params:
	 * @return: el valor de Tipus: void
	 * @exception:
	 * @see: setEventList, EventList * @see [String]
	 * @see [URL]
	 * @see [Class name#method name]
	 * @example
	 * @todo
	 * @precondition
	 * @postcondition
	 * @summary
	 * @bug
	 */
	public void setEventList(ArrayList<Event> events) {
		this.events = events;
	}

	/**
	 * EventList.JSONtoEventList
	 * 
	 * @desc <p>
	 * @version: 1.0 - 18/11/2013
	 * @autor: Toms Ruiz
	 * @params:
	 * @return: el valor de Tipus: EventList
	 * @exception:
	 * @see: JSONtoEventList, EventList * @see [String]
	 * @see [URL]
	 * @see [Class name#method name]
	 * @example
	 * @todo
	 * @precondition
	 * @postcondition
	 * @summary
	 * @bug
	 */
	public static EventList JSONtoEventList(String eventList) {
		return new Gson().fromJson(eventList, EventList.class);
	}

}
