/**
 * 
 */
package edu.uoc.tutoc.taulell;

/**
 * Classe: 
 * Projecte:TUTOC
 * @desc:
 *  Package:edu.uoc.tutoc.taulell 
 *  Data Creacio:19/12/2013
 * 
 * @author: <A HREF="mailto:truizso@uoc.edu">Toms Ruiz</A>
 * @version:0.0 Log: Revision 19/12/2013 Inicial
 * @see [String]
 * @see [URL]
 * @see [Class name#method name]
 * @example
 * @todo
 * @precondition
 * @postcondition
 * @summary
 * @bug
 ***/
public class BoardFolderMessage {
	/** El id. */
	private String id; // Identificador del missatge

	/** El subject. */
	private String subject; // Ttol del missatge

	/** El snippet. */
	private String snippet; // Primers caracters del missatge

	/** El date. */
	private String date; // Data del correu electrnic

	/** El color. */
	private long color; // Codi color del missatge

	/** El status. */
	private long status; // Estat del missatge

	/** El from. */
	private String from; // Persona que envia el missatge;

	/** El to. */
	private String to; // Persona/s que rep/reben el missatge

	/** El cc. */
	private String cc;// Persona/s que estan en copia

	/** El body. */
	private String body; // Cos del missatge	

	/**
	 * Retorna el id
	 * <p>
	 * Aquest mtode retornar  id 
	 * 
	 * @param:
	 * @return: id  tipus: String
	 * @see:#id
	 * @throws:
	 */
	public String getId() {
		return id; //Es retorna id
	}

	/**
	 * Dna Valor al id
	 * <p>
	 * Posa com valor de id el id
	 * 
	 * @param:id Tipus: String
	 * @return: void	
	 * @see:#id
	 * @throws:
	 */
	public void setId(String id) {
		this.id = id; //Se assigna el valor
	}

	/**
	 * Retorna el subject
	 * <p>
	 * Aquest mtode retornar  subject 
	 * 
	 * @param:
	 * @return: subject  tipus: String
	 * @see:#subject
	 * @throws:
	 */
	public String getSubject() {
		return subject; //Es retorna subject
	}

	/**
	 * Dna Valor al subject
	 * <p>
	 * Posa com valor de subject el subject
	 * 
	 * @param:subject Tipus: String
	 * @return: void	
	 * @see:#subject
	 * @throws:
	 */
	public void setSubject(String subject) {
		this.subject = subject; //Se assigna el valor
	}

	/**
	 * Retorna el snippet
	 * <p>
	 * Aquest mtode retornar  snippet 
	 * 
	 * @param:
	 * @return: snippet  tipus: String
	 * @see:#snippet
	 * @throws:
	 */
	public String getSnippet() {
		return snippet; //Es retorna snippet
	}

	/**
	 * Dna Valor al snippet
	 * <p>
	 * Posa com valor de snippet el snippet
	 * 
	 * @param:snippet Tipus: String
	 * @return: void	
	 * @see:#snippet
	 * @throws:
	 */
	public void setSnippet(String snippet) {
		this.snippet = snippet; //Se assigna el valor
	}

	/**
	 * Retorna el date
	 * <p>
	 * Aquest mtode retornar  date 
	 * 
	 * @param:
	 * @return: date  tipus: String
	 * @see:#date
	 * @throws:
	 */
	public String getDate() {
		return date; //Es retorna date
	}

	/**
	 * Dna Valor al date
	 * <p>
	 * Posa com valor de date el date
	 * 
	 * @param:date Tipus: String
	 * @return: void	
	 * @see:#date
	 * @throws:
	 */
	public void setDate(String date) {
		this.date = date; //Se assigna el valor
	}

	/**
	 * Retorna el color
	 * <p>
	 * Aquest mtode retornar  color 
	 * 
	 * @param:
	 * @return: color  tipus: long
	 * @see:#color
	 * @throws:
	 */
	public long getColor() {
		return color; //Es retorna color
	}

	/**
	 * Dna Valor al color
	 * <p>
	 * Posa com valor de color el color
	 * 
	 * @param:color Tipus: long
	 * @return: void	
	 * @see:#color
	 * @throws:
	 */
	public void setColor(long color) {
		this.color = color; //Se assigna el valor
	}

	/**
	 * Retorna el status
	 * <p>
	 * Aquest mtode retornar  status 
	 * 
	 * @param:
	 * @return: status  tipus: long
	 * @see:#status
	 * @throws:
	 */
	public long getStatus() {
		return status; //Es retorna status
	}

	/**
	 * Dna Valor al status
	 * <p>
	 * Posa com valor de status el status
	 * 
	 * @param:status Tipus: long
	 * @return: void	
	 * @see:#status
	 * @throws:
	 */
	public void setStatus(long status) {
		this.status = status; //Se assigna el valor
	}

	/**
	 * Retorna el from
	 * <p>
	 * Aquest mtode retornar  from 
	 * 
	 * @param:
	 * @return: from  tipus: String
	 * @see:#from
	 * @throws:
	 */
	public String getFrom() {
		return from; //Es retorna from
	}

	/**
	 * Dna Valor al from
	 * <p>
	 * Posa com valor de from el from
	 * 
	 * @param:from Tipus: String
	 * @return: void	
	 * @see:#from
	 * @throws:
	 */
	public void setFrom(String from) {
		this.from = from; //Se assigna el valor
	}

	/**
	 * Retorna el to
	 * <p>
	 * Aquest mtode retornar  to 
	 * 
	 * @param:
	 * @return: to  tipus: String
	 * @see:#to
	 * @throws:
	 */
	public String getTo() {
		return to; //Es retorna to
	}

	/**
	 * Dna Valor al to
	 * <p>
	 * Posa com valor de to el to
	 * 
	 * @param:to Tipus: String
	 * @return: void	
	 * @see:#to
	 * @throws:
	 */
	public void setTo(String to) {
		this.to = to; //Se assigna el valor
	}

	/**
	 * Retorna el cc
	 * <p>
	 * Aquest mtode retornar  cc 
	 * 
	 * @param:
	 * @return: cc  tipus: String
	 * @see:#cc
	 * @throws:
	 */
	public String getCc() {
		return cc; //Es retorna cc
	}

	/**
	 * Dna Valor al cc
	 * <p>
	 * Posa com valor de cc el cc
	 * 
	 * @param:cc Tipus: String
	 * @return: void	
	 * @see:#cc
	 * @throws:
	 */
	public void setCc(String cc) {
		this.cc = cc; //Se assigna el valor
	}

	/**
	 * Retorna el body
	 * <p>
	 * Aquest mtode retornar  body 
	 * 
	 * @param:
	 * @return: body  tipus: String
	 * @see:#body
	 * @throws:
	 */
	public String getBody() {
		return body; //Es retorna body
	}

	/**
	 * Dna Valor al body
	 * <p>
	 * Posa com valor de body el body
	 * 
	 * @param:body Tipus: String
	 * @return: void	
	 * @see:#body
	 * @throws:
	 */
	public void setBody(String body) {
		this.body = body; //Se assigna el valor
	}
}
