/******************************************************************************************
 * Fitxer:adaptadorLlistaTaulells.java
 * Data Creaci:18-dic-2013
 * Ultima Modificacio: 18-dic-2013
 * Autor:Toms Ruiz
 * Projecte: TUTOC - Aplicaci Android enfocada a la gesti dels tutors a UOC
 * Assignatura:TFC-Desenvolupament aplicacions dispositius mbils (Android) Aula 3
 * Consultor:Joan Vicent  Orenga  Serisuelo
 * Descripci:
 * Log:
****************************************************************************************** */
package edu.uoc.tutoc.taulell;

import java.util.ArrayList;

import edu.uoc.tutoc.R;

import android.app.Activity;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.TextView;

/**
 * Classe: Projecte:TUTOC.
 * 
 * @desc: Package:edu.uoc.tutoc.taulell Data Creacio:18/12/2013
 * @author: <A HREF="mailto:truizso@uoc.edu">Toms Ruiz</A>
 * @version:0.0 Log: Revision 18/12/2013 Inicial
 * @see [String]
 * @see [URL]
 * @see [Class name#method name]
 * @example
 * @todo
 * @precondition
 * @postcondition
 * @summary
 * @bug *
 */
public class adaptadorLlistaTaulells extends BaseAdapter {
	private final Activity activitat;
	private final ArrayList<Board> taulells;
	/**
	 * Constructor
	 *
	 ***/

	public adaptadorLlistaTaulells(Activity activitat, ArrayList<Board> taulells) {
		super();
		this.activitat=activitat;
		this.taulells=taulells;
	}
	/**
	 * Obt el count.
	 * 
	 * @return the count
	 * @desc Mtode sobrescrigut de @see android.widget.Adapter#getCount()
	 *       <p>
	 * @version: 1.0
	 * @autor: Toms Ruiz
	 * @params:
	 * @return: el valor de
	 * @exception:
	 * @see: @see android.widget.Adapter#getCount()
	 * @see [String]
	 * @see [URL]
	 * @see [Class name#method name]
	 * @example
	 * @todo
	 * @precondition
	 * @postcondition
	 * @summary
	 * @bug
	 */
	
	@Override
	public int getCount() {
		
		return taulells.size();
	}

	/**
	 * Obt el item.
	 * 
	 * @param position
	 *            : position
	 * @return the item
	 * @desc Mtode sobrescrigut de @see android.widget.Adapter#getItem(int)
	 *       <p>
	 * @version: 1.0
	 * @autor: Toms Ruiz
	 * @params:
	 * @return: el valor de
	 * @exception:
	 * @see: @see android.widget.Adapter#getItem(int)
	 * @see [String]
	 * @see [URL]
	 * @see [Class name#method name]
	 * @example
	 * @todo
	 * @precondition
	 * @postcondition
	 * @summary
	 * @bug
	 */
	
	@Override
	public Object getItem(int position) {
		
		return taulells.get(position);
	}

	/**
	 * Obt el item id.
	 * 
	 * @param position
	 *            : position
	 * @return the item id
	 * @desc Mtode sobrescrigut de @see android.widget.Adapter#getItemId(int)
	 *       <p>
	 * @version: 1.0
	 * @autor: Toms Ruiz
	 * @params:
	 * @return: el valor de
	 * @exception:
	 * @see: @see android.widget.Adapter#getItemId(int)
	 * @see [String]
	 * @see [URL]
	 * @see [Class name#method name]
	 * @example
	 * @todo
	 * @precondition
	 * @postcondition
	 * @summary
	 * @bug
	 */
	
	@Override
	public long getItemId(int position) {
		return position;
	}

	/**
	 * Obt el view.
	 * 
	 * @param position
	 *            : position
	 * @param convertView
	 *            : convert view
	 * @param parent
	 *            : parent
	 * @return the view
	 * @desc Mtode sobrescrigut de @see android.widget.Adapter#getView(int,
	 *       android.view.View, android.view.ViewGroup)
	 *       <p>
	 * @version: 1.0
	 * @autor: Toms Ruiz
	 * @params:
	 * @return: el valor de
	 * @exception:
	 * @see: @see android.widget.Adapter#getView(int, android.view.View,
	 *       android.view.ViewGroup)
	 * @see [String]
	 * @see [URL]
	 * @see [Class name#method name]
	 * @example
	 * @todo
	 * @precondition
	 * @postcondition
	 * @summary
	 * @bug
	 */
	
	@Override
	public View getView(int position, View convertView, ViewGroup parent) {
		LayoutInflater inflater = activitat.getLayoutInflater();
		View view = inflater.inflate(R.layout.elementllistataulell, null, true);
		TextView txtTemp = (TextView) view.findViewById(R.id.elementLlistaTaulellTxtTitolTaulell);
		txtTemp.setText(taulells.get(position).getTitle());
		txtTemp = (TextView) view.findViewById(R.id.elementLListaTaulellTxtNombreMissatges);
		txtTemp.setText("No llegits:"+ taulells.get(position).getUnreadMessages() + " de " +taulells.get(position).getTotalMessages());
		return view;
	}
	
}
