/******************************************************************************************
 * Fitxer:JocProves.java
 * Data Creaci:01-dic-2013
 * Ultima Modificacio: 01-dic-2013
 * Autor:Toms Ruiz
 * Projecte: TUTOC - Aplicaci Android enfocada a la gesti dels tutors a UOC
 * Assignatura:TFC-Desenvolupament aplicacions dispositius mbils (Android) Aula 3
 * Consultor:Joan Vicent  Orenga  Serisuelo
 * Descripci:
 * Log:
 ****************************************************************************************** */
package edu.uoc.tutoc.test;

import java.util.ArrayList;

import edu.uoc.tutoc.alumne.Alumne;
import edu.uoc.tutoc.aula.Aula;
import edu.uoc.tutoc.bustia.CorreuElectronic;
import edu.uoc.tutoc.bustia.CorreuElectronicCarpeta;

/**
 * Classe: Projecte:TUTOC
 * 
 * @desc:Classe per realitzar un joc de proves sense tenir que conectar-me al
 *              campus Package:edu.uoc.tutoc.test Data Creacio:24/11/2013
 * 
 * @author: <A HREF="mailto:truizso@uoc.edu">Toms Ruiz</A>
 * @version:0.0 Log: Revision 24/11/2013 Inicial
 * @see [String]
 * @see [URL]
 * @see [Class name#method name]
 * @example
 * @todo
 * @precondition
 * @postcondition
 * @summary Aquesta classe no hi ser al producte final
 * @bug
 ***/
public class JocProves {
	private static JocProves instance = null;
	private ArrayList<Alumne> alumnes = new ArrayList<Alumne>();
	private ArrayList<Aula> aules = new ArrayList<Aula>();

	/**
	 * Retorna el aules
	 * <p>
	 * Aquest mtode retornar aules
	 * 
	 * @param:
	 * @return: aules tipus: ArrayList<Aula>
	 * @see:#aules
	 * @throws:
	 */
	public ArrayList<Aula> getAules() {
		return aules; // Es retorna aules
	}

	/**
	 * Dna Valor al aules
	 * <p>
	 * Posa com valor de aules el aules
	 * 
	 * @param:aules Tipus: ArrayList<Aula>
	 * @return: void
	 * @see:#aules
	 * @throws:
	 */
	public void setAules(ArrayList<Aula> aules) {
		this.aules = aules; // Se assigna el valor
	}

	private ArrayList<CorreuElectronicCarpeta> carpetes;

	/**
	 * Retorna el carpetes
	 * <p>
	 * Aquest mtode retornar carpetes
	 * 
	 * @param:
	 * @return: carpetes tipus: ArrayList<CorreuElectronicCarpeta>
	 * @see:#carpetes
	 * @throws:
	 */
	public ArrayList<CorreuElectronicCarpeta> getCarpetes() {
		return carpetes; // Es retorna carpetes
	}

	/**
	 * Dna Valor al carpetes
	 * <p>
	 * Posa com valor de carpetes el carpetes
	 * 
	 * @param:carpetes Tipus: ArrayList<CorreuElectronicCarpeta>
	 * @return: void
	 * @see:#carpetes
	 * @throws:
	 */
	public void setCarpetes(ArrayList<CorreuElectronicCarpeta> carpetes) {
		this.carpetes = carpetes; // Se assigna el valor
	}

	private ArrayList<CorreuElectronic> bustia = new ArrayList<CorreuElectronic>();

	/**
	 * Retorna el bustia
	 * <p>
	 * Aquest mtode retornar bustia
	 * 
	 * @param:
	 * @return: bustia tipus: ArrayList<CorreuElectronic>
	 * @see:#bustia
	 * @throws:
	 */
	public ArrayList<CorreuElectronic> getBustia() {
		return bustia; // Es retorna bustia
	}

	/**
	 * Dna Valor al bustia
	 * <p>
	 * Posa com valor de bustia el bustia
	 * 
	 * @param:bustia Tipus: ArrayList<CorreuElectronic>
	 * @return: void
	 * @see:#bustia
	 * @throws:
	 */
	public void setBustia(ArrayList<CorreuElectronic> bustia) {
		this.bustia = bustia; // Se assigna el valor
	}

	/**
	 * Retorna el alumnes
	 * <p>
	 * Aquest mtode retornar alumnes
	 * 
	 * @param:
	 * @return: alumnes tipus: ArrayList<Alumne>
	 * @see:#alumnes
	 * @throws:
	 */
	public ArrayList<Alumne> getAlumnes() {
		return alumnes; // Es retorna alumnes
	}

	/**
	 * Dna Valor al alumnes
	 * <p>
	 * Posa com valor de alumnes el alumnes
	 * 
	 * @param:alumnes Tipus: ArrayList<Alumne>
	 * @return: void
	 * @see:#alumnes
	 * @throws:
	 */
	public void setAlumnes(ArrayList<Alumne> alumnes) {
		this.alumnes = alumnes; // Se assigna el valor
	}

	/**
	 * Retorna el instance
	 * <p>
	 * Aquest mtode retornar instance.
	 * 
	 * @return una instancia de JocProves
	 * @param:
	 * @return: instance tipus: JocProves
	 * @see:#instance
	 * @throws:
	 */
	public static JocProves getInstance() {
		if (instance == null) {
			instance = new JocProves();
		}
		return instance; // Es retorna instance
	}

	/**
	 * Dna Valor al instance
	 * <p>
	 * Posa com valor de instance el instance
	 * 
	 * @param:instance Tipus: JocProves
	 * @return: void
	 * @see:#instance
	 * @throws:
	 */
	public static void setInstance(JocProves instance) {
		JocProves.instance = instance; // Se assigna el valor
	}

	/**
	 * Carregar_alumnes.
	 * <p>
	 * Aquest mtode carregar el joc de alumnes de prova
	 * 
	 * @return void
	 * @desc Carregar_alumnes.
	 */
	public void carregar_alumnes() {
		/*
		Alumne subjecte1 = new Alumne();
		subjecte1.setCodi_uoc("0001");
		subjecte1.setCognom1("Apellido 1");
		subjecte1.setCognom2("Apellido 2");
		subjecte1.setEmail("sujeto1@uoc.edu");
		subjecte1
				.setImatge("http://www.geekzeitung.com/wp-content/uploads/2013/02/gollum.jpg");
		subjecte1.setNom("Gollum");
		Alumne subjecte2 = new Alumne();
		subjecte2.setCodi_uoc("0002");
		subjecte2.setCognom1("Bolsn");
		subjecte2.setCognom2("de la Comarca");
		subjecte2.setEmail("bbolson@uoc.edu");
		subjecte2
				.setImatge("http://www.abcdesevilla.es/Media/201210/02/bilbo-bolson-cadiz--644x362.jpg");
		subjecte2.setNom("Bilbo");
		Alumne subjecte3 = new Alumne();
		subjecte3.setCodi_uoc("0003");
		subjecte3.setCognom1("II");
		subjecte3.setCognom2("Durin");
		subjecte3.setEmail("thorin@uoc.edu");
		subjecte3
				.setImatge("https://lh4.googleusercontent.com/-hgnF7LWzRlE/AAAAAAAAAAI/AAAAAAAAAAA/HxfqITKtzN8/s600-c-k-no/photo.jpg");
		subjecte3.setNom("Thorin");
		this.alumnes.add(subjecte1);
		this.alumnes.add(subjecte2);
		this.alumnes.add(subjecte3);
		*/
	}

	/**
	 * Carregar_bustia.
	 * 
	 * @summary Aquest mtode s el encarregat de fer una crrega de test de
	 *          mails
	 * @return void
	 * @desc Carregar_bustia.
	 */
	public void carregar_bustia() {
		CorreuElectronic mail1 = new CorreuElectronic();
		mail1.setDate("01.01.2014 03:15");
		mail1.setId("11");
		mail1.setSubject("Has vist el meu anell");
		mail1.setSnippet("Des de la teva ltima visita no el trobo");
		mail1.setFrom("Gollum");
		mail1.setTo("Bilbo Bolsn de la Comarca");
		mail1.setBody("Des de la teva ultima visita no trobo el anell que tant m'agrada. El meu trsor!!!");
		mail1.setStatus(1);
		CorreuElectronic mail2 = new CorreuElectronic();
		mail2.setDate("31.11.2013 12:15");
		mail2.setId("15");
		mail2.setSubject("Trasgos no grcies!!!");
		mail2.setSnippet("A la propera no convideu als trasgos");
		mail2.setFrom("Bilbo Bolsn de la Comarca");
		mail2.setTo("Thorin II Durin");
		mail2.setCc("Gollum");
		mail2.setBody("A la propera no convideu als trasgos, ja que deixen la casa fet un desastre. Bufff porto dos dies netejant");
		mail2.setStatus(0);
		CorreuElectronic mail3 = new CorreuElectronic();
		mail3.setDate("01.08.2012 13:15");
		mail3.setId("13");
		mail3.setSubject("Tinc contracte al senyor dels anells!!");
		mail3.setSnippet("Avui m'han trucat i m'han dit que compten amb mi per aquesta aventura!!!");
		mail3.setFrom("Gollum");
		mail3.setTo("Bilbo Bolsn de la Comarca");
		mail3.setCc("Thorin II Durin");
		mail3.setBody("Avui m'han trucat i m'han dit que compten amb mi per aquesta aventura!!!. He vist que tamb tenien  el nom de Bilbo!!");
		mail2.setBody("A la propera no convideu als trasgos, ja que deixen la casa fet un desastre. Bufff porto dos dies netejant");
		mail3.setStatus(1);
		CorreuElectronic mail4 = new CorreuElectronic();
		mail4.setDate("01.08.2012 13:15");
		mail4.setId("13");
		mail4.setSubject("RE:Tinc contracte al senyor dels anells!!");
		mail4.setSnippet("A mi encara no m'han trucat!!! :( ");
		mail4.setFrom("Thorin II Durin");
		mail4.setTo("Bilbo Bolsn de la Comarca");
		mail4.setCc("Gollum");
		mail4.setBody("A mi encara no m'han trucat!!! :( ");
		mail4.setStatus(0);
		this.bustia.add(mail1);
		this.bustia.add(mail2);
		this.bustia.add(mail3);
		this.bustia.add(mail4);

	}
}
